import express from 'express';
import { registerUser, activate, loginUser, logoutUser, deleteAccount, forgotPassword, resetUserPassword } from '../controllers/authController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/register', registerUser);
router.get('/activate/:activationCode', activate);
router.post('/login', loginUser);
router.post('/logout', logoutUser);
router.delete('/account', authenticate, deleteAccount);
router.post('/forgot-password', forgotPassword);
router.post('/reset-password', resetUserPassword);

export default router;
